VirtualBox

Ticket #1325 (closed defect: fixed)

Opened 6 years ago

Last modified 4 years ago

Unable to start VM on mac.

Reported by: jhowk Owned by:
Priority: critical Component: other
Version: VirtualBox Mac OS Beta 3 Keywords:
Cc: jason.howk@… Guest type: other
Host type: other

Description

Getting an intermittent problem on a new powermac (2008 dual quad) and I haven't been able to fully identify what causes the error, but it does happen eventually and doesn't resolve itself unless you reboot. In this particular instance, I had stopped and started a guest a number of times without issue, and then created a new guest as well. At one point I attempted to turn on the VRDP capabilities, and when I attempted to start the next guest, I got the error below. This error occurs when attempting to start any guest on the system except for solaris which now errors out with a VBox status code: -8 (VERR_NO_MEMORY) instead. If your looking for any additional log files, just let me know which ones.

Unknown error creating VM. VBox status code: -32 (VERR_INTERNAL_ERROR).

Result Code: 0x80004005 Component: Console Interface: IConsole {d5a1cbda-f5d7-4824-9afe-d640c94c7dcf}

Possible relevant entries from system.log: Mar 12 00:53:02 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8efa410 pGip=0x593000 GipMapObjR3=0x8dd9990 Mar 12 00:54:40 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=471 'VirtualBoxVM' pSession=0x8efa010 rc=0 Mar 12 00:54:40 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 00:54:40 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:15:13 jupiter login[236]: DEAD_PROCESS: 236 ttys000 Mar 12 01:16:26 jupiter com.apple.launchd[83] ([0x0-0x1e01e].org.virtualbox.app.VirtualBox[215]): Stray process with PGID equal to this dead job: PID 216 PPID 1 VBoxXPCOMIPCD Mar 12 01:20:53 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8efa010 pGip=0x593000 GipMapObjR3=0x974a910 Mar 12 01:21:38 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=523 'VirtualBoxVM' pSession=0x8c15c10 rc=0 Mar 12 01:21:38 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:21:41 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8c15c10 pGip=0x593000 GipMapObjR3=0x8cf4290 Mar 12 01:21:55 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=524 'VirtualBoxVM' pSession=0x8c15c10 rc=0 Mar 12 01:21:55 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:21:55 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:22:00 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8c15c10 pGip=0x593000 GipMapObjR3=0x9585b90 Mar 12 01:22:02 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=525 'VirtualBoxVM' pSession=0x8c15c10 rc=0 Mar 12 01:22:02 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:22:03 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:22:04 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8c15c10 pGip=0x593000 GipMapObjR3=0x6d53b10 Mar 12 01:22:53 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=528 'VirtualBoxVM' pSession=0x8c15c10 rc=0 Mar 12 01:22:53 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:22:54 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:22:58 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8c15c10 pGip=0x593000 GipMapObjR3=0x95efe10 Mar 12 01:23:07 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=530 'VirtualBoxVM' pSession=0x8efa010 rc=0 Mar 12 01:23:07 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:23:07 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:23:10 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8efa010 pGip=0x593000 GipMapObjR3=0x9828c90 Mar 12 01:23:16 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=531 'VirtualBoxVM' pSession=0x8efa410 rc=0 Mar 12 01:23:16 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:23:19 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8efa410 pGip=0x593000 GipMapObjR3=0x979d710 Mar 12 01:23:34 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=532 'VirtualBoxVM' pSession=0x8efa410 rc=0 Mar 12 01:23:34 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:23:34 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:23:36 jupiter kernel[0]: SUPR0GipUnmap: pSession=0x8efa410 pGip=0x593000 GipMapObjR3=0x97bf590 Mar 12 01:24:08 jupiter login[534]: USER_PROCESS: 534 ttys000 Mar 12 01:26:42 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=553 'VirtualBoxVM' pSession=0x8efa010 rc=0 Mar 12 01:26:42 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:26:42 jupiter kernel[0]: -> GVMMR0CreateVMReq Mar 12 01:35:04 jupiter kernel[0]: VBoxDrvDarwinOpen: pid=564 'VirtualBoxVM' pSession=0x9584810 rc=0 Mar 12 01:35:04 jupiter kernel[0]: SUPR0GipMap: returns 0 *pHCPhysGip=2df55000 *ppGip=0x593000 GipMapObjR3 Mar 12 01:35:04 jupiter kernel[0]: -> GVMMR0CreateVMReq

Attachments

Windows XP-2008-03-14-23-19-38.log Download (13.9 KB) - added by jhowk 6 years ago.
VBox log.
VBox.log Download (14.4 KB) - added by kullmanp 6 years ago.
Log of my windows xp guest

Change History

comment:1 Changed 6 years ago by sandervl73

Add your VBox log here please.

Changed 6 years ago by jhowk

VBox log.

comment:2 Changed 6 years ago by miloso

Probably the same error here, I can start virtual machine, but only one time – before next startup of virtual machine I have to restart my Macintosh. It happens for both the stopped and paused machines. I'm using Mac OS X Leopard and VirtualBox 1.5.51 (r27946).

Unknown error creating VM.
VBox status code: -32 (VERR_INTERNAL_ERROR).

Result Code: 0x80004005
Component: Console
Interface: IConsole {d5a1cbda-f5d7-4824-9afe-d640c94c7dcf}

No idea if this is relevant (and if is „create” as „create” or „create” as „start”), but VirtualBox is trying to create virtual machine in my case? Huh, it is created already :-)

comment:3 Changed 6 years ago by kullmanp

I have the same issue on my MacBook Pro. But in my case I sometimes get the message reported by miloso (exactly so) and sometimes I'm getting

Unknown error creating VM.

VBox status code: -8 (VERR_NO_MEMORY).

Fehlercode:   0x80004005
Komponente:   Console
Interface:    IConsole {d5a1cbda-f5d7-4824-9afe-d640c94c7dcf}

I do not have to reboot (never tried that) but it usually helps just to try to start the machine again. Sometimes it takes 10 to 20 attempts and sometimes it starts right away.

The guest OS doesn't matter as far as I can tell. It happens with a linux guest and also with a windows xp guest.

Changed 6 years ago by kullmanp

Log of my windows xp guest

comment:4 Changed 6 years ago by karlkfi

If it helps any I only get this error if I have World of Warcraft open at the same time.

I have 4 processors and 4gb ram, there should be enough resources. Only thing I can think of is trying to allocate video ram fails.

comment:5 Changed 6 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed

Try again with 1.6.0 and report back if it's still relevant. Thanks.

comment:6 follow-up: ↓ 7 Changed 6 years ago by theyranos

  • Status changed from closed to reopened
  • Resolution fixed deleted

Hi! I get exactly the same error on 1.6.0, so I'm reopening this ticket. Hope nobody minds.

My system configuration

Host System
  • Mac Pro 2x2.66 GHz Xeon,
  • 5G RAM
  • Dual videocard, three monitors
  • OS X 10.4.11
Guest System
  • Windows Server 2003
  • Base memory set to 1024M
  • Video memory set to 32M

VBox.log

00:00:00.745 VirtualBox 1.6.0 r30421 darwin.x86 (Apr 30 2008 21:58:26) release log
00:00:00.745 Log opened 2008-05-31T14:47:27.802849000Z
00:00:00.758 SUP: Loaded VMMR0.r0 (/Applications/VirtualBox.app/Contents/MacOS/../Resources/
        VirtualBoxVM.app/Contents/MacOS/VMMR0.r0) at 0x8d340060 - ModuleInit at 8d34b4b0 and 
        ModuleTerm at 8d34b4f0
00:00:00.758 SUP: VMMR0EntryEx located at 8d34bdf0, VMMR0EntryFast at 8d34b7f0 and
        VMMR0EntryInt at 8d34b570
00:00:00.872 ERROR [COM]: aRC=0x80004005 aIID={d5a1cbda-f5d7-4824-9afe-d640c94c7dcf}
        aComponent={Console} aText={VM creation failed (GVMM).
00:00:00.872 VBox status code: -32 (VERR_INTERNAL_ERROR)} aWarning=false, preserve=false
00:00:00.880 Power up failed (vrc=VERR_INTERNAL_ERROR, hrc=0x80004005)

console.log

May 31 10:36:10 gonzalez crashdump[7646]: VirtualBoxVM crashed
May 31 10:36:10 gonzalez crashdump[7646]: crash report written to: /Users/drmoose/Library/Logs/CrashReporter/VirtualBoxVM.crash.log

Semi-effective workaround

I can sometimes get it to start anyway without rebooting by quitting a bunch of applications and relaunching the Dock, but it's hardly a reliable workaround.

comment:7 in reply to: ↑ 6 Changed 6 years ago by theyranos

console.log

Please disregard this log entry; it refers to a different problem which I've since solved. Didn't notice the dates were different. Sorry.

comment:8 Changed 6 years ago by sandervl73

  • Status changed from reopened to closed
  • Resolution set to fixed

Fixed in 1.6.2 (out of memory problem).

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use